Skip to main content
GET
/
public-api
/
scheduled-work
/
{scheduled_work_id}
Get a scheduled-work entry
curl --request GET \
  --url https://api.neoagent.io/public-api/scheduled-work/{scheduled_work_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "additional_custom_instructions": "<string>",
    "client_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "executed_at": "2023-11-07T05:31:56Z",
    "execution_message": "<string>",
    "execution_temporal_run_id": "<string>",
    "id": 123,
    "scheduled_for": "2023-11-07T05:31:56Z",
    "ticket_id": "<string>",
    "ticket_number": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "workflow_id": 123,
    "workflow_name": "<string>"
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

scheduled_work_id
string
required

Response

Success.

data
PublicScheduledWork · object
required
meta
object
required